%define name XawM
%define version 1.6
%define release alt1
%define prefix	/usr/X11R6

%define major 1
%define libname lib%name%major

Summary: Widget based on Xaw3d
Name: %name
Version: %version
Release: %release
Url: http://sourceforge.net/projects/xawm/
Source: %name-%version.src.tar.gz
License: MIT
Packager: Hihin Ruslan <hihin_c@t_narod_dot_ru>
Group: System/Libraries
Distribution: ALTLinux

# Automatically added by buildreq on Sat Jul 22 2006
BuildRequires: flex imake libXmu-devel libXp-devel libXpm-devel xorg-cf-files

%description
An Athena-compatible widget set with a modern look and feel.

%package -n %libname
Summary: Widget based on Xaw3d
Group: System/Libraries

%description -n %libname
An Athena-compatible widget set with a modern look and feel.

%package -n %libname-devel
Summary: Widget based on Xaw3d
Group: Development/C
Requires: %libname = %version
Provides: libXawM-devel

%description -n %libname-devel
An Athena-compatible widget set with a modern look and feel.

%prep
%setup -q
xmkmf
%make clean

%build
xmkmf
%make

%install
%make	DESTDIR=%buildroot install

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%doc TODO README.Linux README.XAW3D README.XawM
%_x11libdir/libXawM.so
%_x11libdir/libXawM.so.*

%files -n %libname-devel
%_includedir/X11/XawM/*


%changelog
* Sat Jul 22 2006 Hihin Ruslan <hihin_c@t_narod_dot_ru> 1.6-alt1
- clean spec

* Sat Dec 27 2002 Pingus <pingus77@ifrance.com>
- update 1.6 for Xawdecode 1.6.6a
* Tue Jan 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5u-1mdk
- new & needed to update siag
