%define _unpackaged_files_terminate_build 0

%set_verify_elf_method textrel=relaxed

%def_with nopic

%define name 			libxdtv-theme-carbone-gl
%define version 		1.4.0
%define base			xdtv
%define release 		alt1b
%define summary			%name is Theme %base NLS library for XdTV
%define LANG			gl

Name: %name
Summary: %summary
Version: %version
Release: %release
License: GPL
Distribution: All Linux Distributions
Url: http://xawdecode.sourceforge.net/
Source0: %name-%version.tar.gz
Group: Video

BuildPreReq: xdtv-devel >= 2.4.0  libX11-devel automake

# Automatically added by buildreq on Sat Jul 22 2006
BuildRequires: libXaw-devel
Requires: xdtv >= 2.4.0


%description
%summary

%prep
%setup -q

%clean


%post -p %post_ldconfig
%postun -p %postun_ldconfig


%build
export FLAGS="%optflags -DNDEBUG -DNO_DEBUG -D_GNU_SOURCE "

%configure \
%if_with nopic
	--disable-pic \
%endif


%make

%install
%makeinstall ROOT=%buildroot \
	     SUID_ROOT="" \
	     libdir="%_x11libdir" 


%files
%doc AUTHORS ChangeLog COPYING NEWS README
%_libdir/%base/*.so*

%changelog
* Sat Jul 22 2006 Hihin Ruslan <hihin_c@t_narod_dot_ru> 1.4.0-alt1b
- new

* Sat Jul 22 2006 <hihin_cat_narod_dot_ru> 1.4.0-alt1.1
- cleanup spec

* Sun Jan 30 2005 Sir Pingus <pingus_77@yahoo.fr> 1.0.0-1
- 1.0.0 initial version
